LINUX.ORG.RU

Как сменить версию php для apache? (Centos)

 ,


0

1

Сейчас в phpinfo() показывает версию 5.4.45, но для phpmyadmin этого недостаточно (выдаёт ошибку). Как сменить версию php для apache? В конфигурационных файлах httpd.conf и php.ini ничего, указывающего версию не нашёл. В консоли php -v выдаёт 7.3.8, а для apache никак не могу найти, где задаётся.

тут можно тучу шуток вкрутить про дарью-путешественницу, но чото вечерняя лень напала, пойду за мороженым.

Anoxemian ★★★★★ ()

Привет.

Решение:

1. Надо подключить репозиторий remi. Появятся несколько различных репозиториев. Посмотри внимательно файл /etc/yum.repos.d/remi.conf

2. Выбери нужную версию

3. установи нужную версию

yum --enablerepo=remi-7.2 install php

yum --enablerepo=remi-7.2 update php

Nurmukh ★★★ ()
Ответ на: комментарий от Nurmukh

Точно, спасибо, причём это работает только на повышение версии, а на понижение не работает.
Моя ошибка была в том, что вместо

yum --disablerepo=* --enablerepo='remi-php73' install php
писал
yum --disablerepo=* --enablerepo='remi-php73' install php73

И самое важное не обновлялось

iPabro ()
Ответ на: комментарий от iPabro

Всегда рад помочь.

Также можно сделать копию репозитория для своих серверов и заморозить версию.

Nurmukh ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.